// ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
// ProxFunctions.js for sidki's Proxomitron config
// Last edited: 2004-09-04
// ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||

// Detect IE, Mozilla, Opera, and Netscape - hpguru
var prxIsIE = (document.all && document.getElementById && !window.opera)? 1 : 0;
var prxIsMoz = (!document.all && document.getElementById && !window.opera)? 1 : 0;
var prxIsOp = (window.opera)? 1 : 0;
var prxIsNN = (document.layers)? 1 : 0;

// Parse the whole shebang only if not already done so (except for NN4).
if (!prxIsNN) eval('try {prxDone++} catch(er) {prxDone = 0}');
if(prxIsNN || !prxDone)
{
// |||||||||||||||||||||||||||||||| PAGE START ||||||||||||||||||||||||||||||||

  // ====================================
  // Page Load Timer Part I - hpguru
  // ====================================

  var prxTimer;
  if (prxTimer)
  {
    var prxST = new Date();
    function PrxEndT()
    {
      var d = new Date();
      var prxLoadT = ('Load Time: ' + (d.getTime() - prxST.getTime())/1000 + ' seconds');
      window.defaultStatus = prxLoadT
    }
  }

  // ====================================
  // Set some flags.
  // ====================================

  // Set this flag until the until the very last line of this script. - Paul Rupe
  var prxLoading = 1;

  // Set the main target element - verified when the page has been loaded.
  var prxElement = document.documentElement;

  // Force offscreen buffering to speed up rendering, default is auto. - hpguru
  window.offscreenBuffering=true;

  // ====================================
  // Returns 1 if the given target refers to an existing frame or window, 0
  // otherwise. - Paul Rupe, sidki
  // ====================================

  function PrxCheckLinkTarget(t)
  {
    var i, f;
    // Those are ok.
    if (
      t == '_top' || t == '_parent'  || t == '_self' || t == '_main' || t == '_content'
      || (prxIsIE && t == '_search')
    )
      return 1;
    // Always reject _blank, etc (added for speed reasons) .
    if (t.match(/^(_|)(blank|new)$/i)) return 0;
    // Names starting with prx_ are ok (eg. bookmarklets opening in a new window)
    if (t.indexOf('prx_') == 0) return 1;
    // If the target matches an existing frame, ok (except for NN4).
    if (!prxIsNN) for (i = 0, f = window.parent.frames; i < f.length; i++)
    {
      eval('try {var v = f[i].name} catch(er) {var v = 0}');
      if (v == t) return 1;
    }
    // Otherwise, no soup for you.
    return 0;
  }

  // ====================================
  // Returns the domain portion of the given URL.  Probably not exactly right,
  // but close enough. - Paul Rupe
  // ====================================

  function PrxGetDomain(url)
  {
    var a = url.indexOf('://'), b, c;
    if (a == -1) return null;
    url = url.substr(a + 3);
    b = url.indexOf('/');
    if (b != -1) url = url.substr(0, b);
    b = url.indexOf('@');
    if (b != -1) url = url.substr(b +1);
    b = url.indexOf(':');
    if (b != -1) url = url.substr(0, b);
    for (a = 0, b = -1; ; )
    {
      a = url.indexOf('.', a + 1);
      if (a == -1) break;
      c = url.indexOf('.', a + 1);
      if (c == -1) break;
      b = a;
    }
    url = url.substr(b + 1);
    return url;
  }

  // ====================================
  // Loops until the bottom of the page is accessible via DOM, called by other
  // functions - JD, sidki
  // ====================================

  function PrxLoop(func)
  {
    var countX = 0;
    function LoopMe()
    {
      if (countX < 200)
      {
        if (document.getElementById("prxDOM")) func();
        else {countX++; PrxOldSetTimeout(LoopMe,300);}
      }
    }
    LoopMe()
  }

  // ====================================
  // Create Popup Blocked Notification - Michael Brschgens, JD
  // ====================================

  var prxPopupN;
  if (prxPopupN)
  {
    // The main notification function, called by the Anti-Popup Code
    function PrxPopupURL(address)
    {
      // Define the code that is appended on request
      function PrxPopupAppend()
      {
        // Define different sound code, depending on the browser
        if (prxIsIE)
        {
          var s = document.createElement("bgsound");
          s.setAttribute("src","http://local.ptron/sidki_h_2004-09-07/PopUp.wav");
        }
        else if (prxIsMoz)
        {
          var s = document.createElement("embed");
          s.setAttribute("src","http://local.ptron/sidki_h_2004-09-07/PopUp.wav");
          s.setAttribute("hidden","true");
        }
        else if (prxIsOp)
        {
          var s = document.createElement("iframe");
          s.setAttribute("src","http://local.ptron/sidki_h_2004-09-07/sound.html");
          s.setAttribute("width","0");
          s.setAttribute("height","0");
          s.setAttribute("style","border:none");
        }

        // Define the image links.
        var p = document.createElement("img");
        p.setAttribute("src", "http://local.ptron/sidki_h_2004-09-07/info.gif");
        p.setAttribute("width","17");
        p.setAttribute("height","17");
        p.setAttribute("border","0");
        p.setAttribute("title","PopUp blocked: " + address);

        var l = document.createElement("a");
        l.setAttribute("href",address);
        l.appendChild(p);

        // Append the links to the page.
        document.getElementById("prxDOM").appendChild(l);
        document.getElementById("prxDOM").appendChild(s);
      }

      // Loop until the page is ready for appending.
      PrxLoop(PrxPopupAppend);
    }
  }

  // ====================================
  // Anti-Popup Code Part I - Scott R. Lemmon
  // ====================================

  var prxPopup;
  if (prxPopup)
  {
    var prxLC = new Date(0);
    var prxInst; if (!prxInst++) PrxRealOpen = window.open;
    function PrxOMUp() {prxLC = new Date()}
    function PrxNW() {return(this.window)}

    // To reroute showModalDialog/showModelessDialog, the second parameter MUST be
    // tested/converted to string if need be since dialogs can also accept objects
    // whereas open only accepts strings as second parameter
    // a further problem can arise in the third parameter. The dialog calls have
    // a slightly different format, size for instance is passed different and uses
    // a semicolon instead of an equal sign. - TEggHead
    function PrxOpen(url,enam,atr)
    {
      // Add this line to make sure second param is a string - TEggHead
      var nam = (typeof enam == "object")? 'Dialog' : (enam == null)? 'Blank' : enam;

      // allow windows referring to trusted target names - Paul Rupe
      if (nam && PrxCheckLinkTarget(nam)) return(PrxRealOpen(url,nam,atr));

      if (prxLC)
      {
        var cdt = new Date();
        cdt.setTime(cdt.getTime()-prxLC.getTime());
        if (!prxLoading && cdt.getSeconds()<3)
        {
          if (atr) return(PrxRealOpen(url,nam,PrxWOA(atr)));
          else return(PrxRealOpen(url,nam));
        }
      }

      // Grab PopUp URL for Notification Function
      if (prxPopupN) PrxPopupURL(url);

      return(new PrxNW());
    }

    var prxModAtr;
    function PrxWOA(atr)
    {
      if (!prxModAtr) return(atr);
      var yatr = (prxModAtr == 2)? 1 : 0;
      var xatr = "location=1,status=1,scrollbars=1,resizable=1,left=0,top=50";
      xatr += "toolbar=" + yatr + ",menubar=" + yatr;
      if (atr)
      {
        var hm;
        hm = atr.match(/height(=|:)([0-9]+)/i);
        if (hm) xatr += ",height=" + hm[2];
        else xatr += ",height=480";
        hm = atr.match(/width(=|:)([0-9]+)/i);
        if (hm) xatr += ",width=" + hm[2];
        else xatr += ",width=640";
      }
      else xatr += ",height=480,width=640";
      return(xatr);
    }

    function PrxRST()
    {
      if (document.layers) document.captureEvents(Event.MOUSEUP);
      document.onmouseup = PrxOMUp;
    }
    window.open = PrxOpen;
    submit = PrxOpen;

    // IE Specific Methods - Homeric
    window.showModalDialog = PrxOpen;
    window.showModelessDialog = PrxOpen;
  }

  // ====================================
  // Define the properties as renamed by the "Block: Properties I" filter - sidki
  // ====================================

  var prxNav;
  if (prxNav)
  {
    if (navigator.PRXuserAgent)
    {
      navigator.PRXappVersion = unescape(escape(navigator.PRXuserAgent.match(/\d[^)]+\)/)));
      navigator.PRXappMinorVersion = navigator.PRXappVersion;

      if (navigator.PRXuserAgent.indexOf("Mozilla/4.0") == 0)
        navigator.PRXappName = "Microsoft Internet Explorer";
      else if (navigator.PRXuserAgent.indexOf("Mozilla/") == 0)
        navigator.PRXappName = "Netscape";
      else if (navigator.PRXuserAgent.indexOf("Opera/") == 0)
        navigator.PRXappName = "Opera";
    }
    navigator.PRXcpuClass = "alpha";
    navigator.PRXlanguage = "en";
    navigator.PRXuserLanguage = "en";
    navigator.PRXbrowserLanguage = "en";
    navigator.PRXsystemLanguage = "en";
    navigator.PRXjavaEnabled = true;
    navigator.PRXcookieEnabled = true;
    navigator.PRXuserProfile;
  }

  // ====================================
  // Disable various Methods - Paul Rupe, sidki
  // ====================================

  // Called by Proxomitron instead of the real names.
  PrxOldSetTimeout = window.setTimeout;
  PrxOldSetInterval = window.setInterval;

  // Dummy function
  function PrxDummyZero(string){void(null)}

  var prxMeth;
  if (prxMeth)
  {
    // Override some window manipulation APIs (which never should have existed
    // in first place).
    window.focus = PrxDummyZero;
    window.blur = PrxDummyZero;
    window.resizeBy = PrxDummyZero;
    window.moveTo = PrxDummyZero;
    window.moveBy = PrxDummyZero;

    PrxLocation = PrxDummyZero;
    PrxEval = PrxDummyZero;

    function clipboardData() {return true}
    function createPopup() {return true}

    // Override some window properties as well.
    function status() {return true}
  }

  // ====================================
  // Provide definitions for properties or common functions that get renamed or
  // filtered out and cause subsequent errors. - Paul Rupe
  // ====================================

  var expires = 1;
  function geovisit() {return true}
  function nedstatbasic() {return true}

  // ====================================
  // Provide a function to print messages dynamically to the footer, called by
  // other functions - sidki
  // ====================================

  function PrxFooter(title,msg)
  {
    function FWrite()
    {
      var tag = document.createElement("span");
      tag.setAttribute("class","Prox");
      var text = document.createTextNode("  " + title + ": " + msg);
      tag.appendChild(text);
      document.getElementById("prxDOM").appendChild(tag);
      return false;
    }
    PrxLoop(FWrite);
  }

  // ====================================
  // Show error messages in the footer. IE and Mozilla only for now,
  // Opera ignores it - sidki
  // ====================================

  var prxErL = 6;
  function PrxError(msg)
  {
    if (--prxErL < 0) return true;
    PrxFooter("JS Error",msg);
  }

  // ====================================
  // Alerts to Footer - sidki
  // ====================================

  var prxAlertP;
  if (prxAlertP)
  {
    PrxOldAlert = window.alert;
    function PrxAlertW(msg) {PrxFooter("JS Alert",msg)}
    window.alert = PrxAlertW;
  }

  // ====================================
  // Restrict Message Boxes Part I - Paul Rupe
  // ====================================

  var prxAlertR;
  if (prxAlertR)
  {
    if (!prxAlertP) PrxOldAlert = window.alert;
    PrxOldPrompt = window.prompt;
    PrxOldConfirm = window.confirm;

    // Set this flag until the very last line of this script.
    var prxAlA = 0;
    var prxAlL = 10;

    // Returns true if alert/confirm/prompt have not been called a bunch of times
    // already, false if they have not. Used to stop runaway scripts abusing
    // these pop-up functions.
    function PrxCheckAlert()
    {
      if (!prxAlA) return false;
      if (--prxAlL >= 0) return true;
      if (PrxOldConfirm('*** PROXOMITRON ALERT ***\r\nThis script is too busy for its own good.  Kill it?'))
      {
        prxAlA = 0;
        return false;
      }
      else
      {
        return true;
      }
    }
    function PrxConfirmR(m)
    {
      if (!PrxCheckAlert()) return null;
      return PrxOldConfirm(m);
    }

    function PrxPromptR(m,d)
    {
      if (!PrxCheckAlert()) return null;
      if (!d) d = '';
      return PrxOldPrompt(m,d);
    }

    window.prompt = PrxPromptR;
    window.confirm = PrxConfirmR;

    if (!prxAlertP)
    {
      function PrxAlertR(m)
      {
        if (!PrxCheckAlert()) return null;
        return PrxOldAlert(m);
      }
      window.alert = PrxAlertR;
    }
  }

  // ====================================
  // Intercept calls to *.location.replace() Part I - Paul Rupe, sidki
  // ====================================

  var prxLoc;
  if (prxLoc)
  {
    var prxOldLoc = location.replace;
    function PrxGetLoc(l)
    {
      if (prxLoading) prxLocURL = l;
      else prxOldLoc(l);
      return false;
    }
    window.location.replace = PrxGetLoc;
    window.navigate = PrxGetLoc;
  }

  // ====================================
  // Translate the property into a string for display.  Replace <, >, &, etc.
  // with their HTML entities. Called by other functions - Paul Rupe, sidki
  // ====================================

  function PrxFuncToString(prop)
  {
    var c, i, t = '', s = prop.toString();
    if (s.match(/^function /))
    {
      s = s.replace(/^function +anonymous *\([^)]*\)\s *\{ */,'');
      s = s.replace(/ *\}$/,'');
    }
    s = s.replace(/^\n/,'');
    for (i = 0; c = s.charAt(i); i++)
    {
      if (c == '<') t += '&lt;';
      else if (c == '>') t += '&gt;';
      else if (c == '&') t += '&amp;';
      else if (c == '\r') t += '';
      else if (c == '\n') t += '<br>';
      else if (c == '\'') t += '\\&#39;';
      else if (c == '"') t += '&quot;';
      else t += c;
    }
    return t;
  }

  // ====================================
  // Timers to buttons -- Intercept "setInterval" and specified "setTimeout"
  // functions. Write start/stop buttons for them in Opera and Gecko browsers,
  // block them in Internet Explorer - sidki
  // ====================================

  var prxITime, prxIInt;
  if (((prxIsMoz || prxIsOp) && (prxITime || prxIInt)) || (prxITime == 2 || prxIInt == 2))
  {
    // The "onclick" event for the timer buttons - Opera and Gecko browsers only.
    if (prxIsMoz || prxIsOp)
    {
      function PrxTClick(meth,qfunc,time,id)
      {
        eval('try {prxTSwitch} catch(er) {prxTSwitch = 2, prxTidT = 0, prxTidI = 0}');
        if (prxTSwitch == 1)
        {
          prxTSwitch = 0;
          document.getElementById(id).setAttribute("value",meth);
          window.setTimeout = PrxDummyZero;
          window.setInterval = PrxDummyZero;
          if (prxTidI) window.clearInterval(prxTidI);
          if (prxTidT) window.clearTimeout(prxTidT);
        }
        else
        {
          prxTSwitch = 1;
          document.getElementById(id).setAttribute("value","      stop      ");
          window.setTimeout = PrxOldSetTimeout;
          window.setInterval = PrxOldSetInterval;
          if (meth == "setTimeout") prxTidT = PrxOldSetTimeout(qfunc,time);
          if (meth == "setInterval") prxTidI = PrxOldSetInterval(qfunc,time);
        }
      }
    }

    // The new "setTimeout" and "setInterval" function.
    function PrxSetTimer(meth,func,time)
    {
      var qfunc = (typeof func == "string")? 'unescape("' + escape(func) + '")' : func;
      if (meth == "setTimeout")
      {
        // This expression defines the strings that need to be in the setTimeout
        // function in order to get intercepted by Proxomitron. This is *not*
        // Proxomitron language. Prox -> RegExp: "*" -> "." and "+" -> "*".
        var re = /(open|rotat|ticker|_roll|status|marquee|showbanner|scroll|move|slide|loop)[a-z0-9_]*\(/i;

        //alert(func.toString());
        if (!func.toString().match(re))
        {
          window.setTimeout = PrxOldSetTimeout;
          return PrxOldSetTimeout(func,time);
        }
      }

      // Internet Explorer (and possibly other browsers) doesn't properly support
      // writing of buttons via DOM. So here the timers get just blocked.
      if (!prxIsMoz && !prxIsOp)
        return eval('window.' + meth + ' = PrxDummyZero');

      var id = "Prox" + Math.random();
      var click = "PrxTClick('" + meth + "'," + qfunc + "," + time + ",'" + id + "');"

      // On right-click run the function once and without delay
      // - Gecko browsers only.
      var rclick = func + ";return false;";

      var over = time/1000 + " second(s):<br>" + PrxFuncToString(func);
      over = "PrxFlShow('<div id=prxFlyCont>" + over + "</div>',event,0)";
      function PrxSetTimerAppend()
      {
        var ProxButt = document.createElement("input");
        ProxButt.setAttribute("class","ProxButton");
        ProxButt.setAttribute("id",id);
        ProxButt.setAttribute("type","button");
        ProxButt.setAttribute("value",meth);
        ProxButt.setAttribute("onmouseover",over);
        ProxButt.setAttribute("onmouseout","PrxFlDHide()");
        ProxButt.setAttribute("onclick",click);
        ProxButt.setAttribute("oncontextmenu",rclick);
        document.getElementById("prxDOM").appendChild(ProxButt);
      }
      PrxLoop(PrxSetTimerAppend);
    }

    // Intercept "setInterval".
    if (prxIInt)
    {
      function PrxSetInterval(func,time) {PrxSetTimer("setInterval",func,time)}
      window.setInterval = PrxSetInterval;
    }

    // Intercept "setTimeout".
    if (prxITime)
    {
      function PrxSetTimeout(func,time) {PrxSetTimer("setTimeout",func,time)}
      window.setTimeout = PrxSetTimeout;
    }
  }

  // ====================================
  // Provide show/hide of span tags with specified classname or ID - sidki
  // ====================================

  function PrxToggle(pnam,patr,ptog)
  {
   var spans = window.document.getElementsByTagName('span');
   for(var i = 0; i < spans.length; i++)
   {
    if ((patr == 'cl' && pnam == spans[i].className) || (patr == 'id' && pnam == spans[i].id))
    {
     if (spans[i].style.display != 'inline') spans[i].style.display = 'inline';
     else if (ptog == 'yes') spans[i].style.display = 'none';
     if (spans[i].style.visibility == 'hidden') spans[i].style.visibility = 'visible';
     else if (spans[i].style.visibility == 'visible') spans[i].style.visibility = 'hidden';
    }
   }
   void(null)
  }

  // ====================================
  // Provide a clickable flyover - Dynamic Drive, sidki, Martin Konicek
  // ====================================

  // Pop-it menu - By Dynamic Drive
  // For full source code and more DHTML scripts, visit http://www.dynamicdrive.com
  // This credit MUST stay intact for use

  function PrxFlShow(which,e,movex)
  {
    // Adjustable variables
    var offX = 0;
    var offY = 10;
    var tdShow = 800;

    if (!e) var e = event;
    prxFlObj = document.all? document.all.prxFlyover : document.getElementById("prxFlyover");
    prxFlObj.innerHTML = which;

    // Find out the mouse position relative to the viewport. - sidki
    var hereX = e.pageX? e.pageX : prxElement.scrollLeft + e.clientX;
    var hereY = e.pageY? e.pageY : prxElement.scrollTop + e.clientY;

    // If the mouse its too close to the viewports right or top edge
    // move the position of the flyover to the left or bottom.
    var pWidth = prxFlObj.offsetWidth + offX;
    var pHeight = prxFlObj.offsetHeight + offY;
    hereX = (movex && prxElement.clientWidth - e.clientX < pWidth)? hereX - pWidth : hereX + offX;
    hereY = (e.clientY < pHeight)? hereY + offY : hereY - pHeight;

    // Mozilla's standards-compliant mode needs units, Opera and IE don't care.
    // - sidki
    prxFlObj.style.left = hereX + "px";
    prxFlObj.style.top = hereY + "px";

    PrxFlClearHide();
    PrxFlHide();
    prxTidS = PrxOldSetTimeout("prxFlObj.style.visibility='visible'",tdShow);
  }

  function PrxFlDHide()
  {
    // Adjustable variable
    var tdHide = 800;

    if (window.prxTidS) clearTimeout(prxTidS);
    prxTidH = PrxOldSetTimeout("PrxFlHide()",tdHide);
  }

  function PrxFlHide() {if (window.prxFlObj) prxFlObj.style.visibility="hidden";}

  function PrxFlClearHide() {if (window.prxTidH) clearTimeout(prxTidH);}

  function PrxFlDynHide(e)
  {
    if (e.toElement && !prxFlObj.contains(e.toElement)) PrxFlHide();

    // Determines if 1 element in contained in another - Brainjar.com
    else if (!e.toElement)
    {
      var ct = e.currentTarget;
      var rt = e.relatedTarget;
      if (rt && ct != rt) 
      {
        while (rt.parentNode)
          if ((rt = rt.parentNode) == ct) return true;
          PrxFlHide();
      }
    }
  }

  // make an anchor with the passed information. - Martin Konicek
  function PrxFlLink(dummy,name,url,prefix)
  {
    var flContent = (prefix)? prefix : '';
    flContent += '<a href=' + unescape(url) + '>' + name + '</a>';
    return flContent;
  }

  document.write(
    '<div id="prxFlyover" class="ProxFlyover" ' +
    'onMouseover="PrxFlClearHide();" onMouseout="PrxFlDynHide(event);"></div>'
  );

// ||||||||||||||||||||||||||||||||| PAGE END |||||||||||||||||||||||||||||||||

  // ====================================
  // Creates a button to call a given event handler directly if such a handler
  // is defined.  Rather than disable window.onload completely, this lets you
  // call it at will in case some page requires it to function. - Paul Rupe
  // ====================================

  function PrxEventButton(objn,propn)
  {
    var fpropn = objn + '.Prx' + propn;
    eval('var prop = ' + objn + '.' + propn);
    if (prop)
    {
      eval(fpropn + ' = prop');
      document.writeln(
        '<span class="Prox" style="display:inline"><button class="ProxButton" ' +
        'onmouseover="PrxFlShow(\'<div id=prxFlyCont>' + PrxFuncToString(prop) + '</div>\',event,0)" ' +
        'onMouseout="PrxFlDHide()" ' +
        'onclick="' + fpropn + '();">' + propn + '</button></span>'
      )
    }
  }

  // ====================================
  // Various Events to Button - Paul Rupe
  // ====================================

  function PrxAllEventButton()
  {
    PrxEventButton('window','onunload');
    PrxEventButton('window','onbeforeunload');
    PrxEventButton('window','onbeforeprint');
    PrxEventButton('window','onafterprint');
    PrxEventButton('window','onblur');
    PrxEventButton('window','onfocus');
    PrxEventButton('window','onscroll');
  }

  // ====================================
  // "onload" Events to Button - Paul Rupe
  // ====================================

  function PrxOnloadButton()
  {
    PrxEventButton('window','onload');
    function PrxClearOnload(a)
    {
      if (!a) return;
      a.onload = null;
    }
    PrxClearOnload(document);
    PrxClearOnload(document.body);
    PrxClearOnload(window);
  }

  // ====================================
  // Set the main target element depending on rendering mode and browser.
  // Needs to be called when the page is already loaded - sidki
  // ====================================

  function PrxGetEl()
  {
  prxElement = ((!prxIsOp && document.compatMode == "CSS1Compat") || !document.body)?
    document.documentElement : document.body;
  }

  // ====================================
  // Proxomitron Menu  Part I - sidki
  // ====================================

  var prxTools;
  if (prxTools)
  {
    function PrxMWrite(x)
    {
      // Prefetch menu icons
      var cold = "http://local.ptron/sidki_h_2004-09-07/prox_cold.gif";
      var hot = "http://local.ptron/sidki_h_2004-09-07/prox_hot.gif";
      var pic = new Array();
      pic[0] = new Image(); pic[0].src = cold;
      pic[1] = new Image(); pic[1].src = hot;

      // Set vars for the menu
      var prot = window.location.protocol + "//";
      var host = window.location.hostname;
      var path = window.location.pathname + window.location.search;
      var wname = (window.name && !window.name.match(/^tb[0-9]*/i))? window.name : "Dynamic";
      var quirk = document.compatMode;
      var anc = '<a id=prxMLink style=display:block';
      var togglestyle = (document.styleSheets)?anc + " href=\"javascript:var x=document.styleSheets;for(i=0;i<x.length;i++){if(x[i].disabled){x[i].disabled=0;var prxSprint=1}else if(!x[i].href.match(/local\.ptron.sidki./i)){x[i].disabled=1;var prxSprint;if(!prxSprint)PrxFooter(\'style\',(x[i].href))}}void(null)\">Toggle Styles &#8756;</a>":"";
      var viewvars = (prxIsMoz || prxIsOp)?anc + " href=\"javascript:(function(){var i,v,st,w1=\'\',w2=\'prx_bookmarklet\',w3=\'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,left=0,top=100,width=800,height=600\',prxLC,x=prxLC?PrxRealOpen(w1,w2,w3):window.open(w1,w2,w3),d=x.document;d.open();function hE(s){s=s.replace(/\&/g,\'&amp;amp;\');s=s.replace(/>/g,\'&amp;gt;\');s=s.replace(/</g,\'&amp;lt;\');return s;}d.write(\'<html>\\n<head>\\n<title>All JS Variables</title>\\n<style>\\ntd{vertical-align:top;white-space:pre}table,td,th{border:1px solid #ccc}div.er{color:red}\\n</style>\\n</head>\\n<body>\\n<table border=1>\\n<thead><tr><th>Variable</th><th>Type</th><th>Value as string</th></tr></thead>\\n\');for(i in window){if(!(i in x)){v=window[i];d.write(\'<tr><td>\'+hE(i)+\'</td><td>\'+hE(typeof(window[i]))+\'</td><td>\');if(v===null)d.write(\'null\');else if (v===undefined)d.write(\'undefined\');else try{st=v.toString();if(st.length)d.write(hE(v.toString()));else d.write(\'\')}catch(er){d.write(\'<div class=er>\'+hE(er.toString())+\'</div>\\n\')};d.write(\'</pre></td></tr>\\n\');}}d.write(\'</table>\\n</body>\\n</html>\\n\');d.close();})()\">JS Variables &#8756;</a>":"";
      var check = anc + '><label id=prxMLink><input id=prxMLink type=checkbox value=';
      var select = anc + ' href="javascript:q = &quot;&quot; + (window.getSelection ? window.getSelection() : document.getSelection ? document.getSelection() : document.selection.createRange().text); s = (window.opera) ? &quot;&quot; : &quot;You didn\'t select any text.  &quot;; if (!q) q = prompt(s + &quot;Enter a host name or leave empty for current host:&quot;, &quot;&quot;); if (q==&quot;&quot) q=location.hostname; if (q!=null) ';

      document.write(
        // Write the icon
        '<div id=prxMIcon style=visibility:hidden>\r\n<a' +
        ' onmouseover="proxicon.src=\'' + hot + '\';PrxMShow();"' +
        ' onmouseout="proxicon.src=\'' + cold + '\';PrxMHide();"' +
        ' onclick="this.style.visibility = \'hidden\';"' +
        '>\r\n<img name=proxicon src="' + cold + '">' +
        '\r\n</a></div>' +

        // Write the menu
        '<div id=prxMDiv onmouseover=clearTimeout(prxTidM); onmouseout=PrxMHide(); style=visibility:hidden>' +
        '<table id=prxMTab><tbody><tr><td id=prxMTdL>' +

        '<div id=prxMSep>' + wname + '</div>' +
        anc + ' href="javascript:PrxToggle(\'Prox\',\'cl\',\'yes\')" target="_self">Toggle Kills &#8756;</a>' +
        togglestyle +
        anc + ' href="javascript:for(i=0;i<10000;i++){window.clearInterval(i);window.clearTimeout(i)}">Kill Timers &#8756;</a>' +

        '<div id=prxMSep>' + quirk + '</div>' +
        viewvars +
        anc + ' href="javascript:(function(){var a={},aa={},b=[],bb=[],i,ii,e,ee,c,cc,k,d,x,s=\'<html>\n<head>\n<title>All Classes and IDs</title>\n</head>\n<body>\n<table border=1 align=left>\n<thead><tr><th>#</th><th>Tag</th><th>className</th></tr></thead>\n\';for(i=0;e=document.getElementsByTagName(\'*\')[i];++i)if(c=e.className){k=e.tagName+\'.\'+c;a[k]=a[k]?a[k]+1:1;}for(k in a)b.push([k,a[k]]);b.sort();for(i in b) s+=\'<tr><td>\'+b[i][1]+\'</td><td>\'+b[i][0].split(\'.\').join(\'</td><td>\')+\'</td></tr>\n\';s+=\'</table>\n\';s+=\'<table border=1 align=left style=margin-left:8px>\n<thead><tr><th>#</th><th>Tag</th><th>ID</th></tr></thead>\n\';for(ii=0;ee=document.getElementsByTagName(\'*\')[ii];++ii)if(cc=ee.id){k=ee.tagName+\'.\'+cc;aa[k]=aa[k]?aa[k]+1:1;}for(k in aa)bb.push([k,aa[k]]);bb.sort();for(ii in bb)s+=\'<tr><td>\'+bb[ii][1]+\'</td><td>\'+bb[ii][0].split(\'.\').join(\'</td><td>\')+\'</td></tr>\n\';s+=\'</table>\n</body>\n</html>\n\';var w1=\'\',w2=\'prx_bookmarklet\',w3=\'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,left=0,top=150,width=600,height=600\',prxLC,x=prxLC?PrxRealOpen(w1,w2,w3):window.open(w1,w2,w3),d=x.document;d.write(s);d.close();})()">Classes & IDs &#8756;</a>' +
        anc + ' href="javascript:function PrxDocProps(){var i,f,g=0,h=document.links.length;for(i=0;i<h;i++){f=document.links[i];if(f.id==\'prxMLink\'||f.id==\'prxBLink\')g++};var a=\'\';a+=\'Window name: \'+window.name+\'\\n\';a+=\'Last modified: \'+document.lastModified +\'\\n\';a+=\'Number of images: \'+(document.images.length-1)+\'\\n\';a+=\'Number of links: \'+(h-g)+\'\\n\';a+=\'Number of forms: \'+(document.forms.length-1)+\'\\n\';a+=\'Number of embedded objects: \'+document.embeds.length+\'\\n\';prxz=prxAlertP?PrxOldAlert:alert;prxz(a)};PrxDocProps()">Doc Properties &#8756;</a>' +
        anc + ' href="javascript:(function(){function htmlEscape(s){s=s.replace(/&/g,\'&amp;amp;\');s=s.replace(/>/g,\'&amp;gt;\\n\');s=s.replace(/</g,\'&amp;lt;\');return s;}var x=window.open(\'\',\'prx_bookmarklet\',\'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,left=0,top=100,width=800,height=600\');x.document.write(\'<title>Dynamic Source</title><pre>\'+htmlEscape(\'<html>\'+document.documentElement.innerHTML+\'</html>\'));x.document.close();})()">DHTML Source &#8756;</a>' +

        '<div id=prxMSep>Verify</div>' +
        anc + ' target=_top href="http://www.sysinfo.org/bholist.txt">Bad ClsIDs</a>' +
        anc + ' target=_top href="http://pgl.yoyo.org/adservers/serverlist.php?hostformat=hosts&mimetype=plaintext">Ad Lists</a>' +

        '<div id=prxMSep>Translate</div>' +
        anc + ' target=_top href="http://translate.google.com/translate_c?u=' + escape(window.location.href) + '">Google: de es fr it pt</a>' +
        anc + ' target=_top href="http://babelfish.altavista.com/babelfish/trurl_pagecontent?lp=ja_en&url=' + escape(window.location.href) + '">BabelFish: jp</a>' +
        anc + ' target=_top href="http://babelfish.altavista.com/babelfish/trurl_pagecontent?lp=ru_en&url=' + escape(window.location.href) + '">BabelFish: ru</a>' +
        anc + ' target=_top href="http://babelfish.altavista.com/babelfish/tr?url=' + escape(window.location.href) + '">BabelFish: choose</a>' +
        anc + ' target=_top href="http://www.tranexp.com:2000/Translate/index.shtml?type=url&url=' + escape(window.location.href) + '">InterTran: choose</a>' +

        '</td><td id=prxMTdL>' +

        '<div id=prxMSep>Navigate</div>' +
        anc + ' target=_top href="' + prot + host + '">Domain</a>' +
        anc + ' target=_top href="javascript:if(location.pathname ==\'/\');else if(location.pathname.charAt(location.pathname.length-1)==\'/\')location=\'..\';else location=\'.\';void 0">Up &#8756;</a>' +

        '<div id=prxMSep>Prox</div>' +
        anc + ' target=_top href="' + prot + x + 'src..' + host + path + '">src</a>' +
        anc + ' target=_top href="' + prot + x + 'src..bweb..' + host + path + '">src..bweb</a>' +
        anc + ' target=_top href="' + prot + x + 'dbug..' + host + path + '">dbug</a>' +
        anc + ' target=_top href="' + prot + x + 'bweb..' + host + path + '">bweb</a>' +

        '<div id=prxMSep>Site</div>' +
        anc + ' target=_top href="http://validator.w3.org/check?uri=' + window.location.href + '&ss=1&sp=1&verbose=1">Validate</a>' +
        anc + ' target=_top href="http://uptime.netcraft.com/up/graph/?host=' + host + '">Netcraft</a>' +
        anc + ' href="javascript:void(window.open(\'http://bugmenot.com/view.php?mode=bookmarklet&url=\'+escape(location),\'prx_bookmarklet\',\'location=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,left=20,top=20,width=385,height=340\'))">BugMeNot &#8756;</a>' +
        anc + ' target=_top href="' + prot + host + '/robots.txt">Robots?</a>' +

        '<div id=prxMSep>Host or IP</div>' +
        select + '(function(){var w1=\'\',w2=\'prx_bookmarklet\',w3=\'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,left=0,top=100,width=350,height=500\',prxLC,x=prxLC?PrxRealOpen(w1,w2,w3):window.open(w1,w2,w3),d=x.document;d.open();d.write(\'<html><head><title>All Net Tools - Loading...</title></head><body><form name=pform method=POST action=http://www.all-nettools.com/toolbox?ProxANT><input name=smartwhois type=hidden value=\' + escape(q) + \'><input name=swsubmit type=hidden value=GO%21></form><script>window.setTimeout(&quot;document.pform.submit()&quot;,300);</script></body></html>\');d.close();})()">SmartWhois &#8756;</a>' +
        select + 'location=&quot;http://www.samspade.org/t/lookat?a=&quot; + escape(q); void 0">Whois &#8756;</a>' +
        select + 'location=&quot;http://www.geobytes.com/iplocator.htm?getlocation&ipaddress=&quot; + escape(q); void 0">Location &#8756;</a>' +
        '<a id=prxMLink href="javascript:q = &quot;&quot; + (window.getSelection ? window.getSelection() : document.getSelection ? document.getSelection() : document.selection.createRange().text); s = (window.opera) ? &quot;&quot; : &quot;You didn\'t select any text.  &quot;; if (!q) q = prompt(s + &quot;Enter a URL or leave empty for current document:&quot;, &quot;&quot;); if (q==&quot;&quot) q=location.href; if (q!=null) location=&quot;http://www.forret.com/projects/analyze/?url=&quot; + escape(q); void 0">Headers &#8756;</a>' +

        '</td><td id=prxMTdR>' +

        '<div id=prxMSep>Allow</div>' +
        '<form id=prxMLink>' +
        check + '"a_js">All JavaScript</label></a>' +
        check + '"a_ads">All Ads</label></a>' +
        check + '"a_adban">Ad Banners</label></a>' +
        check + '"a_adtab">Ad Tables</label></a>' +
        check + '"a_adjs">Ad JavaScript</label></a>' +
        check + '"a_redir">Redirects</label></a>' +
        check + '"a_rdlink">Redirect Links</label></a>' +
        check + '"a_jslink">JS Links</label></a>' +
        check + '"a_flash">Flash</label></a>' +
        '<div id=prxMSep></div>' +
        check + '"b_script"><strong>Block</strong> Scripts</label></a>' +
        '<input id=prxMBut type=button value="Go" onClick="PrxMForm(this.form,\'go\')">' +
        '<input id=prxMBut type=button value="List" onClick="PrxMForm(this.form,\'list\')">' +
        '</form>' +

        '</td></tr></tbody></table></div>'
      )
    }

    // Show the menu
    function PrxMShow()
    {
      clearTimeout(prxTidM);
      if (prxMID.style.visibility == "visible") return;
      var bodyX = (prxIsMoz)? (prxElement.clientWidth - document.body.clientWidth) / 2
        : document.body.offsetLeft;
      prxMID.style.left = ((window.pageXOffset)? window.pageXOffset : prxElement.scrollLeft)
        + prxElement.clientWidth - prxMx - bodyX - 50 + "px";
      prxMID.style.top = ((window.pageYOffset)? window.pageYOffset : prxElement.scrollTop)
        + prxElement.clientHeight - prxMID.offsetHeight - 50 + "px";
      function ShowMNow() {prxMID.style.visibility = "visible";}
      prxTidM = PrxOldSetTimeout(ShowMNow,150);
    }

    // Hide the menu
    function PrxMHide()
    {
      clearTimeout(prxTidM);
      if (prxMID.style.visibility == "hidden") return;
      function HideMNow() {prxMID.style.visibility="hidden";}
      prxTidM = PrxOldSetTimeout(HideMNow,150);
    }

    // Say what should happen when clicking the menu buttons - JD, sidki
    function PrxMForm(form,what)
    {
      var all = ".", el = form.elements, here = window.location, i;
      for (i = 0; i < el.length; i++)
        if (el[i].type == "checkbox" && el[i].checked) all += el[i].value +  ".";
      if (all != "." && what == "go")
      {
        var query = here.search.match(/^(.*)\?keyword\(/);
        query = (!query)? here.search : query[1];
        here.href = here.protocol + "//" + here.host +
          here.pathname + query + "?keyword(" + all + ")";
      }
      else if (what == "list")
        here.href = "http://add.to.proxlist/" + here.hostname +
          here.pathname.match(/^\/([^\/]+\/)*/g) + "$$$SET(keyword=" + all + ")$$" + here.href;
    }

    // Initialize the constant icon position upon first mouse click
    function PrxMInit()
    {
      prxTidM = 0;
      var naomi = document.all? document.all.prxMIcon : document.getElementById("prxMIcon");

      function PrxIHide()
      {
        if (naomi.style.visibility == "hidden") return;
        function HideNowI() {naomi.style.visibility = "hidden";}
        PrxOldSetTimeout(HideNowI,150);
      }

      function PrxIHideA(e)
      {
        if (window.PrxOnresize) {if (!e) var e = event; window.PrxOnresize(e);}
        PrxIHide();
      }

      function PrxIShow()
      {
        if (naomi.style.visibility == "visible") return;
        var bodyX = (prxIsMoz)? (prxElement.clientWidth - document.body.clientWidth) / 2
          : document.body.offsetLeft;
        naomi.style.left = ((window.pageXOffset)? window.pageXOffset : prxElement.scrollLeft)
          + prxElement.clientWidth - bodyX - 50 + "px";
        naomi.style.top = ((window.pageYOffset)? window.pageYOffset : prxElement.scrollTop)
          + prxElement.clientHeight - 50 + "px";
        naomi.style.visibility = "visible";
      }

      function PrxIShowA(e)
      {
        if (document.PrxOnclick) {if (!e) var e = event; document.PrxOnclick(e);}
        PrxIShow();
      }

      PrxOldSetTimeout(PrxIShow,150);

      prxElement.onclick = PrxIShow;
      document.onclick = PrxIShowA;
      window.onresize = PrxIHideA;
      window.onscroll = PrxIHide;
      if (prxIsMoz) window.addEventListener("DOMMouseScroll",PrxIHide,false);

      prxMID = document.all? document.all.prxMDiv : document.getElementById("prxMDiv");
      prxMx = prxMID.offsetWidth;
    }
  }

  // ====================================
  // Last chance to write to the page - sidki
  // ====================================

  var prxLocURL, prxButton, prxStyleSel;
  function PrxWrite(tag,onload)
  {
    // Open the DIV block if not already done so.
    if (!tag) document.write('<DIV class="ProxDiv">\r\n');

    // Write the style selector - IE and Mozilla only - Tantek Celik, sidki
    if (prxStyleSel && (prxIsMoz || prxIsIE))
    {
      for(var i = 0; i < document.styleSheets.length; i++)
      {
        var s = document.styleSheets[i], tt = s.title, st;
        if (tt != '' && tt != undefined) st = 1;
      }
      // Bookmarklet by Tantek Celik - http://tantek.com/favelets/
      if (st) document.write("<span id=\"prxBLink\" class=\"Prox\" style=\"display:inline\">&#8593;<a id=\"prxBLink\" class=\"Prox\" href=\"javascript:var sheets=\',\',options=\'<OPTION selected>document default\';for(i=0;i<document.styleSheets.length;i++){var s=document.styleSheets[i];var tt=s.title;if(tt != \'\' && tt != undefined){if(sheets.indexOf(\',\'+tt+\',\')==-1) {sheets += tt+\',\';options += \'<OPTION>\'+tt;}}}var ds=\'<HTML><HEAD><TITLE>Select Style Sheet</TITLE><STYLE>SELECT{width:170px} BODY{margin:0}</STYLE><SCRIPT>function choosess(tt){var d=window.opener.document;for(i=0;i<d.styleSheets.length;i++){var s=d.styleSheets[i];var ti=s.title;if(ti!=&quot;&quot; && ti!=undefined && ti!=tt)s.disabled=true;else s.disabled=false;}}</SCRIPT></HEAD><BODY><CENTER>\';ds += \'<BR><SELECT ID=S1 SIZE=5 ONKEYPRESS=&quot;var k=event.keyCode;if(k==13 || k==3 || k==27){window.close()}&quot; ONCHANGE=&quot;if(this.selectedIndex!=-1)choosess(this.options[this.selectedIndex].text);&quot;>\'+options+\'</SELECT><BR>\';ds+= \'</CENTER>\';var w=window.open(\'about:blank\',\'prx_bookmarklet\',\'height=120,width=190\');w.document.write(ds);w.document.close();w.focus();w.document.getElementById(\'S1\').focus();void(null);\">styles</a></span>\r\n");
    }

    // Intercept calls to *.location.replace() Part II - Paul Rupe, sidki
    if (prxLocURL)
      document.write(
        '<span id="prxRedir" class="Prox" style="display:inline">' +
        '&#8593;<a id="prxRedir" class="Prox" href="' + prxLocURL +
        ' " target=_top>tame redirect</a></span>\r\n'
      );

    document.write('</DIV>\r\n')

    // Create a button if specific onload events were found - sidki
    if (onload) PrxOnloadButton();
    if (prxButton) PrxAllEventButton();
  }

  // ====================================
  // Run this function at the very last - ...
  // ====================================

  var prxAltT, prxTarget, prxFramed, prxEvents;
  function PrxLastCall()
  {
    // Images: Dupe ALT text to the title, so Opera and Mozilla show it as
    // tooltip - Homeric
    if (prxAltT && (prxIsOp || prxIsMoz))
    {
      var i, f;
      for (i = 0; i < document.images.length; i++)
      {
        f = document.images[i];
        if (!f.title && f.alt)
          f.title = 'Alt: ' + f.alt;
      }
    }

    if (prxTarget || prxFramed)
    {
      // Open offsite links within frames in the top window I - sidki
      if (prxFramed)
        eval('try {var url = this.location.href; prxFramed = (top.location.href != url)?PrxGetDomain(url):"";} catch(er) {prxFramed = PrxGetDomain(url)}');

      var i, f;
      // Links stuff
      for (i = 0; i < document.links.length; i++)
      {
        // Open targets that refer to non-existing windows in the top window
        // - Paul Rupe
        f = document.links[i];
        if (prxTarget && f.target && !PrxCheckLinkTarget(f.target))
          f.target = '_top';

        // Open offsite links within frames in the top window II - sidki
        if (prxFramed && !f.target && f.href.indexOf('://') != -1 && prxFramed != PrxGetDomain(f.href))
          f.target = '_top';
      }
      // Forms stuff
      for (i = 0; i < document.forms.length; i++)
      {
        // Open targets that refer to non-existing windows in the top window
        // - Paul Rupe
        f = document.forms[i];
        if (prxTarget && f.target && typeof f.target == "string" && !PrxCheckLinkTarget(f.target))
          f.target = '_top';
      }
    }

    // Set some of an object's event handlers to null - Paul Rupe
    if (prxEvents)
    {
      function PrxClearEvent(a)
      {
        if (!a) return;
        a.onmousedown		= null;
        a.onmouseenter		= null;
        a.onmouseleave		= null;
        a.onmouseout		= null;
        a.onmouseup		= null;
        a.onmousewheel		= null;

        a.onbeforeunload		= null;
        a.onunload		= null;

        a.onbeforeprint		= null;
        a.onafterprint		= null;

        a.onblur			= null;
        a.onfocus			= null;
        a.onfocusout		= null;

        a.onkeydown		= null;
        a.onkeypress		= null;
        a.onkeyup			= null;

        a.oncontextmenu		= null;
        a.ondeactivate		= null;
        a.onhelp			= null;
        a.onlosecapture		= null;
        a.onpropertychange	= null;
        a.onscroll		= null;
        a.onselect		= null;
        a.onselectstart		= null;
      }

      PrxClearEvent(document);
      PrxClearEvent(document.body);
      PrxClearEvent(document.documentElement);
      PrxClearEvent(window);
    }

    // Proxomitron Menu  Part II - sidki
    if (prxTools)
    {
      if (document.onclick) document.PrxOnclick = document.onclick;
      if (window.onresize) window.PrxOnresize = window.onresize;
      prxElement.onclick = PrxMInit;
      document.onclick = PrxMInit;
      PrxOldSetTimeout('function PrxMWrite(){}',1);
      PrxOldSetTimeout('function PrxMInit(){}',1);
    }

    // Overwrite the functions that are not needed anymore
    PrxOldSetTimeout('function PrxEventButton(){}',1);
    PrxOldSetTimeout('function PrxAllEventButton(){}',1);
    PrxOldSetTimeout('function PrxOnloadButton(){}',1);
    PrxOldSetTimeout('function PrxGetEl(){}',1);
    PrxOldSetTimeout('function PrxWrite(){}',1);

    // Anti-Popup Code Part II - Scott R. Lemmon
    if (prxPopup) PrxRST();

    // Page Load Timer Part II - hpguru
    if (prxTimer) PrxEndT();

    // Restrict Message Boxes Part II - Paul Rupe
    if (prxAlertP || prxAlertR) prxAlA = 1;

    // All done
    prxLoading = 0;
    PrxOldSetTimeout('function PrxLastCall(){}',1);
  }
}
